<?php
/**
 * DokuWiki Plugin mandates (Action Component)
 *
 * @license GPL 2 http://www.gnu.org/licenses/gpl-2.0.html
 * @author  kts <kts@exoss.net>
 */

// must be run within Dokuwiki
if (!defined('DOKU_INC')) die();

if (!defined('DOKU_LF')) define('DOKU_LF', "\n");
if (!defined('DOKU_TAB')) define('DOKU_TAB', "\t");
if (!defined('DOKU_PLUGIN')) define('DOKU_PLUGIN',DOKU_INC.'lib/plugins/');

require_once DOKU_PLUGIN.'action.php';

class action_plugin_mandates_action extends DokuWiki_Action_Plugin {

    public function register(Doku_Event_Handler &$controller) {
       $controller->register_hook('TOOLBAR_DEFINE', 'AFTER', $this, 'defineToolbar');
    }

	public function defineToolbar(Doku_Event &$event, $param) {
		$event->data[] = array (
			'type' => 'picker',
			'title' => $this->getLang('mandate_picker_button'),
			'icon' => '../../plugins/mandates/mandate_button.png',
			'class' => 'pk_hl',
			'list' => array(
			          	array(
			          		'type' => 'format',
						'title' => $this->getLang('mandate_button'),
						'icon' => '../../plugins/mandates/mandate_button.png',
						'key' => '1',
						'open' => 'mandate{',
						'sample' => 'mandate_set:mandate name',
						'close' => '}',
					),
			          	array(
			          		'type' => 'format',
						'title' => $this->getLang('mandates_button'),
						'icon' => '../../plugins/mandates/mandates_button.png',
						'key' => '2',
						'open' => 'mandate_list{',
						'sample' => 'mandate_set',
						'close' => '}',
					),
			          	array(
			          		'type' => 'format',
						'title' => $this->getLang('mandate_control_button'),
						'icon' => '../../plugins/mandates/mandate_control_button.png',
						'key' => '3',
						'open' => 'mandate_control{',
						'sample' => 'mandate_set',
						'close' => '}',
					),
				),
			'block' => true
		);
	}
}

// vim:ts=2:sw=4:et:
